Skip site navigation (1) Skip section navigation (2)

Re: configure doesn't find my pgsql installation

From: "Adam H(dot) Pendleton" <fmonkey(at)fmonkey(dot)net>
To: "Serguei A(dot) Mokhov" <mokhov(at)cs(dot)concordia(dot)ca>
Cc: pgadmin-hackers(at)postgresql(dot)org
Subject: Re: configure doesn't find my pgsql installation
Date: 2005-02-05 13:28:07
Message-ID: 4204C9E7.2000002@fmonkey.net (view raw or flat)
Thread:
Lists: pgadmin-hackers
Here's the culprit:

configure:4912: checking for PQexec in -lpq
configure:4942: gcc -o conftest -Wall -g -O0  -I/local/pkg/pgsql8.0//include  -L/local/pkg/pgsql8.0//lib conftest.c -lpq   -lssl -lcrypto -lpq >&5
/usr/bin/ld: cannot find -lssl

This is the old -lssl bug.  I submitted a fix for this a while back, but I guess it never made it.  :-)  Try the attached patch and see if fixes your problems.  You'll have to re-run bootstrap after applying the patch.

ahp



Attachment: acinclude.m4.patch
Description: text/plain (1.1 KB)

In response to

pgadmin-hackers by date

Next:From: cvsDate: 2005-02-07 12:12:43
Subject: CVS Commit by dpage: fix libpq/ssl library detection [Adam H Pendleton]
Previous:From: Serguei A. MokhovDate: 2005-02-05 00:40:21
Subject: Re: configure doesn't find my pgsql installation

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group